'use strict';

var _copyObject = require('./_copyObject.js');
var _getSymbolsIn = require('./_getSymbolsIn.js');

/**
 * Copies own and inherited symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbolsIn(source, object) {
  return _copyObject(source, _getSymbolsIn(source), object);
}

module.exports = copySymbolsIn;
